#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x83,0x17,0xA1,0x12,0x57,0x34,0xC1,0x11,0xA2,0x19,0x1D,0x4D,
		0x4B,0x7C,0xB3,0xEF,0xBA,0xF6,0x86,0xB4,0xF9,0xE1,0xE0,0xF4,
		0xFE,0x63,0xAC,0x53,0x46,0x77,0xC5,0xE8,0x95,0x3A,0x3D,0x7E,
		0x3F,0xF0,0x4F,0x3A,0x71,0x10,0xB0,0x8E,0x4C,0xC9,0xEC,0x4D,
		0x1E,0xB8,0x80,0x58,0xCF,0x89,0x7E,0xB4,0xCC,0x86,0x72,0xF3,
		0x7D,0x7B,0x65,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
